##
##  docutils.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         docutils
Summary:      Toolset for Plain-Text to HTML/LaTeX Translation
URL:          http://docutils.sourceforge.net/
Vendor:       David Goodger et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      PD with exceptions
Version:      0.21.2
Release:      20240626

#   list of sources
Source0:      http://download.sourceforge.net/docutils/docutils-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python
PreReq:       OpenPKG, openpkg >= 20160101, python
BuildPreReq:  python-setup
PreReq:       python-setup

%description
    The purpose of the Docutils project is to create a set of tools for
    processing plaintext documentation into useful formats, such as
    HTML, XML, and LaTeX. Includes reStructuredText, the easy to read,
    easy to use, what-you-see-is-what-you-get plaintext markup language

%track
    prog docutils = {
        version   = %{version}
        url       = http://sourceforge.net/projects/docutils/files/
        regex     = docutils-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build

%install
    HOME=`pwd` %{l_prefix}/bin/python \
        -m pip install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix} \
        --ignore-installed \
        --no-deps \
        .
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

